* {
    margin: 0; 
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

:root {
    font-size: 62.5%;

    --color-base-white: #ffffff; 
    --color-base-gray-100: #f5f5f5;
    --color-base-gray-300: #8d8d99;
    --color-base-gray-500: #3D3D3D;
    --color-base-gray-900: #202024;
}

html, body, input {
    font-family: 'Mulish', sans-serif;
}

body {
    font-size: 1.6rem;
    background-color: var(--color-base-white);
    color: var(--color-base-gray-900);
}

#app {
    display: grid;
    grid-template-rows: max-content 1fr max-content;
    height: 100vh;
}

.container {
    padding: 1.6rem 3.2rem;
    width: min(112rem, 100%);
    margin: 0 auto;
}

main {
    overflow-y: scroll;
    background-color: var(--color-base-gray-100);
}

header,
nav,
nav, ul {
    display: flex;
    align-items: center;
    gap: 7.2rem;
    font-weight: 700;
}

header form { 
    flex: 1;
}

nav ul {
    list-style: none;
    font-size: 1.8rem;
    color: var(--color-base-gray-300);
}

ul li.active {
    color: var(--color-base-gray-900);
}

.input-wrapper label {
    width: 1px;
    height: 1px;
    overflow: hidden;
    position: absolute;
}

.input-wrapper input {
    width: 100%;
    padding: 1.6rem;

    background-color: var(--color-base-gray-100);
    border: 0;
    border-radius: .6rem;

    font-size: 1.6rem;
    font-weight: 600;
}

.input-wrapper input::placeholder {
    color: var(--color-base-gray-500);
    opacity: 0.56;
}

.avatar {
    width: 4.2rem;
    height: 4.2rem;

    object-fit: cover;

    border-radius: 50%;
}

/* galeria */
main h1 {
    padding-top: 1.6rem;
    font-size: 2.4rem;
}

.gallery {
    margin-top: 3.2rem;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2.2rem;
}

.item { 
    background-color: var(--color-base-white);
    border-radius: 0.8rem;
    overflow: hidden;
}

.item img {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;

   /* transition-property: all;
    transition-duration: 200ms;
    transition-delay: 0;
    transition-timing-function: ease-out; */

    transition: all 200ms ease-out;

    display: block;
}

.item img:hover {
    filter: hue-rotate(7deg) contrast(101%) saturate(200%);
    transform: scale(1.1) rotate(-2deg);
}

.details {
    padding: 2.2rem;
    background-color: var(--color-base-white);
    z-index: 1;
    position: relative;
}

.details h2 {
    font-size: 1.8rem;
}

.tags {
    margin-top: 1.2rem;
}

.tags span {
    padding: .6rem;
    background-color: var(--color-base-gray-100);
    border-radius: .4rem;

    line-height: 0;
    font-size: 1.2rem;
    text-transform: uppercase;
}

footer p {
    text-align: center;
    padding: 1.6rem;
    font-weight: 600;
}

header {
    --startY: -100%;
    animation: move .2s;
}

footer {
    --startY: 100%;
    animation: move .2s;
}

@keyframes move {
    from {
        transform: translateY(var(--startY));
    }
}

.item {
    --delay: .4s;
    animation: appear .4s var(--delay) backwards;
}

@keyframes appear {
    0% {
        opacity: 0;
        transform: scale(0.7);
    }

    50% {
        transform: scale(1.2);
    }
}